{ pkgs
, ...
}:

{
  boot.kernelPackages = pkgs.linuxPackages_latest;
  boot.loader.grub = {
    efiSupport = true;
    efiInstallAsRemovable = false;
    enable = true;
    version = 2;
  };

  boot.loader.efi.canTouchEfiVariables = true;
  boot.tmpOnTmpfs = true;
}

